Bug 51468 - [devrev] Stabilize Projects API
[devrev] Stabilize Projects API
Status: CLOSED FIXED
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
4.x
All All
: P2 (vote)
: 4.x
Assigned To: Jesse Glick
issues@projects
TCR
:
Depends on: 52796
Blocks: 51151
  Show dependency treegraph
 
Reported: 2004-11-12 18:57 UTC by Miloslav Metelka
Modified: 2006-03-24 13:11 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Metelka 2004-11-12 18:57:31 UTC
Please increase the stability of the API from /0
to /1 for the respective modules.
Comment 1 Jesse Glick 2004-11-12 23:36:22 UTC
Uh, won't that have the effect of gratuitously breaking compatibility
for everyone who wrote a functional module against 4.0?
Comment 2 Jaroslav Tulach 2004-11-19 09:40:24 UTC
Jesse, I thought that you did review the proposed restrictions at
http://openide.netbeans.org/tutorial/api.html#restrictions
as far as I remember, you've been the major contributor of ideas to it.

Imho this is the answer to your comment:

"If the stable version remains compatible the name of the module
should be org.netbeans.api.projects.ant/1 and appropriate 
ModuleAutoDeps shall be provided to upgrade dependencies of modules
that used the /0 version."

PS1: If that does not work, then we failed when reviewing the policy
and we should imho improve the module system to allow that.

PS2: TCRs are defects, if in trunk.
Comment 3 Jesse Glick 2004-11-22 13:49:10 UTC
Ah right, forgot about ModuleAutoDeps, never mind.
Comment 4 Jesse Glick 2004-12-23 19:39:13 UTC
Testing the patch right now...
Comment 5 Jesse Glick 2004-12-23 22:18:03 UTC
Big commit, eh?

committed 1.12 ant/freeform/nbproject/project.xml
committed 1.2  ant/project/apichanges.xml
committed 1.8  ant/project/arch.xml
committed 1.6  ant/project/manifest.mf
added     1.1  ant/project/module-auto-deps.xml
committed 1.9  ant/project/nbproject/project.xml
committed 1.17 apisupport/project/nbproject/project.xml
committed 1.8  beans/nbproject/project.xml
committed 1.3  contrib/apicheck/nbproject/project.xml
committed 1.2  contrib/mount/nbproject/project.xml
committed 1.3  contrib/navigator/javagator/nbproject/project.xml
committed 1.4  contrib/packager/nbproject/project.xml
committed 1.3  contrib/targets/nbproject/project.xml
committed 1.3  db/model/nbproject/project.xml
committed 1.12 debuggerjpda/ant/nbproject/project.xml
committed 1.12 editor/nbproject/project.xml
committed 1.58 form/build.xml
committed 1.15 form/nbproject/project.xml
committed 1.6  i18n/form/nbproject/project.xml
committed 1.8  i18n/nbproject/project.xml
committed 1.11 ide/features/basic/nbproject/project.xml
committed 1.3  ide/golden/cluster-deps.txt
committed 1.6  ide/golden/deps.txt
committed 1.8  ide/golden/files-layout.txt
committed 1.3  ide/golden/impl-deps.txt
committed 1.4  ide/golden/modules.txt
committed 1.3  j2ee/blueprints/nbproject/project.xml
committed 1.7  j2ee/ddloaders/build.xml
committed 1.7  j2ee/ddloaders/nbproject/project.xml
committed 1.3  j2ee/earproject/build.xml
committed 1.5  j2ee/earproject/nbproject/project.xml
committed 1.3  j2ee/ejbapi/nbproject/project.xml
committed 1.2  j2ee/ejbfreeform/manifest.mf
committed 1.2  j2ee/ejbfreeform/nbproject/project.xml
committed 1.8  j2ee/ejbjarproject/manifest.mf
committed 1.5  j2ee/ejbjarproject/nbproject/project.xml
committed 1.5  j2ee/refactoring/build.xml
committed 1.4  j2ee/refactoring/nbproject/project.xml
committed 1.8  j2ee/utilities/nbproject/project.xml
committed 1.5  j2eeserver/ant/nbproject/project.xml
committed 1.5  j2eeserver/nbproject/project.xml
committed 1.73 java/build.xml
committed 1.3  java/freeform/nbproject/project.xml
committed 1.7  java/j2seplatform/nbproject/project.xml
committed 1.7  java/j2seproject/build.xml
committed 1.13 java/j2seproject/nbproject/project.xml
committed 1.7  java/javacore/build.xml
committed 1.11 java/nbproject/project.xml
committed 1.2  java/platform/apichanges.xml
committed 1.5  java/platform/arch.xml
committed 1.6  java/platform/manifest.mf
added     1.1  java/platform/module-auto-deps.xml
committed 1.2  java/project/apichanges.xml
committed 1.8  java/project/arch.xml
committed 1.12 java/project/manifest.mf
added     1.1  java/project/module-auto-deps.xml
committed 1.16 java/project/nbproject/project.xml
committed 1.5  jemmysupport/nbproject/project.xml
committed 1.2  junit/nbproject/project.xml
committed 1.3 
objectbrowser/navigator/javanavigation/nbproject/project.xml
committed 1.10 openide/masterfs/nbproject/project.xml
committed 1.4  openidex/nbproject/project.xml
committed 1.2  projects/libraries/apichanges.xml
committed 1.7  projects/libraries/arch.xml
committed 1.8  projects/libraries/manifest.mf
added     1.1  projects/libraries/module-auto-deps.xml
committed 1.2  projects/projectapi/apichanges.xml
committed 1.6  projects/projectapi/arch.xml
committed 1.6  projects/projectapi/manifest.mf
added     1.1  projects/projectapi/module-auto-deps.xml
committed 1.7  projects/projectapi/nbproject/project.xml
committed 1.7  projects/projectui/build.xml
committed 1.6  projects/projectui/manifest.mf
committed 1.12 projects/projectui/nbproject/project.xml
committed 1.3  projects/projectuiapi/apichanges.xml
committed 1.6  projects/projectuiapi/arch.xml
committed 1.3  projects/projectuiapi/build.xml
committed 1.6  projects/projectuiapi/manifest.mf
added     1.1  projects/projectuiapi/module-auto-deps.xml
committed 1.6  projects/projectuiapi/nbproject/project.xml
committed 1.2  projects/queries/apichanges.xml
committed 1.5  projects/queries/arch.xml
committed 1.6  projects/queries/manifest.mf
added     1.1  projects/queries/module-auto-deps.xml
committed 1.7  refactoring/build.xml
committed 1.12 refactoring/nbproject/project.xml
committed 1.52 tasklist/docscan/manifest.mf
committed 1.71 tasklist/suggestions/manifest.mf
committed 1.7  tomcatint/tomcat5/nbproject/project.xml
committed 1.2  usersguide/j2seexamples/nbproject/project.xml
committed 1.5  utilities/project/nbproject/project.xml
committed 1.9  vcscore/nbproject/project.xml
committed 1.71 vcsgeneric/manifest.mf
committed 1.16 vcsgeneric/profiles/cvsprofiles/manifest.mf
committed 1.74 web/core/build.xml
committed 1.3  web/core/nbproject/project.xml
committed 1.2  web/examples/nbproject/project.xml
committed 1.3  web/freeform/nbproject/project.xml
committed 1.7  web/jspdebug/nbproject/project.xml
committed 1.19 web/project/nbproject/project.xml
committed 1.10 web/webapi/nbproject/project.xml
committed 1.8  websvc/core/build.xml
committed 1.6  websvc/core/nbproject/project.xml
committed 1.4  websvc/dev/nbproject/project.xml
committed 1.2  websvc/websvcapi/manifest.mf
committed 1.3  websvc/websvcapi/nbproject/project.xml
committed 1.21 xml/xsl/manifest.mf
committed 1.3  xtest/nbjunit/nbproject/project.xml
Comment 6 Jaroslav Tulach 2005-03-02 12:58:15 UTC
I've noticed that the arch*.xml has not been updated, they still say
"under development", please change that to "official" - I am sorry for
not noticing this sooner.
Comment 7 Jesse Glick 2005-03-09 22:52:21 UTC
Right, I will fix that.
Comment 8 Jesse Glick 2005-03-10 00:25:43 UTC
committed 1.2  ant/browsetask/arch.xml
committed 1.10 ant/project/arch.xml
committed 1.4  java/api/arch.xml
committed 1.5  java/j2seplatform/arch.xml
committed 1.7  java/j2seproject/arch.xml
committed 1.6  java/platform/arch.xml
committed 1.12 java/project/arch.xml
committed 1.8  projects/libraries/arch.xml
committed 1.7  projects/projectapi/arch.xml
committed 1.7  projects/projectuiapi/arch.xml
committed 1.6  projects/queries/arch.xml
Comment 9 Jaroslav Tulach 2005-03-15 10:28:39 UTC
Thanks. 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo